#ifndef		__WCOL_WIDGET_H__
#define		__WCOL_WIDGET_H__

#include "wcolimage.h"
#include <MASkinG.h>
using namespace MAS;


class WColWidget : public Widget {
	public:
		WColImage *image;
		int selectedAttractor;

		WColWidget();
		void OnChanged();

	protected:
		Bitmap cache;
		void Draw(Bitmap &canvas);
		void MsgLPress();
		void MsgRPress();
		void MsgLRelease();
		void MsgRRelease();
		void MsgMousemove(const Point &d);
		bool MsgWantmouse();
		bool MsgWantfocus();
};


#endif		//__WCOL_WIDGET_H__
